
class MagRepack_Dialog_Keybindings
{
	idd = -1;
	onLoad = "uiNamespace setVariable ['outlw_MR_Dialog_Keybindings', (_this select 0)]";
	onUnload = "outlw_MR_keybindingMenuActive = false;";
	onKeyDown = "_this call outlw_KB_keyDown;";
	onKeyUp = "_this call outlw_KB_keyUp;";
	
	class Controls
	{
		class KB_BG_Main: outlw_MR_IGUIBack
		{
			idc = 2200;
			x = 10 * GUI_GRID_W + GUI_GRID_X;
			y = 10.5 * GUI_GRID_H + GUI_GRID_Y;
			w = 20 * GUI_GRID_W;
			h = 4 * GUI_GRID_H;
			colorBackground[] = {0,0,0,0.75};
		};
		class KB_MainTitle: outlw_MR_RscText
		{
			idc = 1000;
			text = "Mag Repack: Keybindings";
			x = 10 * GUI_GRID_W + GUI_GRID_X;
			y = 9.375 * GUI_GRID_H + GUI_GRID_Y;
			w = 20 * GUI_GRID_W;
			h = 1 * GUI_GRID_H;
			colorBackground[] = {"(profilenamespace getvariable ['GUI_BCG_RGB_R',0.69])","(profilenamespace getvariable ['GUI_BCG_RGB_G',0.75])","(profilenamespace getvariable ['GUI_BCG_RGB_B',0.5])","(profilenamespace getvariable ['GUI_BCG_RGB_A',0.8])"};
		};
		class KB_ButtonCancel: outlw_MR_RscButtonMenu
		{
			idc = 2400;
			text = "Cancel";
			action = "closeDialog 0";
			x = 22.5 * GUI_GRID_W + GUI_GRID_X;
			y = 14.625 * GUI_GRID_H + GUI_GRID_Y;
			w = 7.5 * GUI_GRID_W;
			h = 1 * GUI_GRID_H;
			
			default = false;
			
			class Attributes
			{
				align = "right";
			};
		};
		class KB_BG_MiddleBottom: outlw_MR_IGUIBack
		{
			idc = 2405;
			x = 17.625 * GUI_GRID_W + GUI_GRID_X;
			y = 14.625 * GUI_GRID_H + GUI_GRID_Y;
			w = 4.7225 * GUI_GRID_W;
			h = 1 * GUI_GRID_H;
			colorBackground[] = {0,0,0,0.75};
		};
		class KB_ButtonApply: outlw_MR_RscButtonMenu
		{
			idc = 2401;
			text = "Apply";
			action = "[outlw_KB_current] call outlw_MR_applyKeybinding;";
			x = 10 * GUI_GRID_W + GUI_GRID_X;
			y = 14.625 * GUI_GRID_H + GUI_GRID_Y;
			w = 7.5 * GUI_GRID_W;
			h = 1 * GUI_GRID_H;
			
			default = false;
		};
		class KB_ButtonDefault: outlw_MR_RscButtonMenu
		{
			idc = 2403;
			text = "Default";
			action = "call outlw_KB_defaultKeybinding";
			x = 24.5 * GUI_GRID_W + GUI_GRID_X;
			y = 13.125 * GUI_GRID_H + GUI_GRID_Y;
			w = 4.5 * GUI_GRID_W;
			h = 0.875 * GUI_GRID_H;
			
			default = false;
			
			class Attributes
			{
				align = "center";
				size = "0.875";
			};
		};
		class KB_ButtonUndo: outlw_MR_RscButtonMenu
		{
			idc = 2404;
			text = "Undo";
			action = "call outlw_KB_undoKeybinding;";
			x = 19.5 * GUI_GRID_W + GUI_GRID_X;
			y = 13.125 * GUI_GRID_H + GUI_GRID_Y;
			w = 4.5 * GUI_GRID_W;
			h = 0.875 * GUI_GRID_H;
			
			default = false;
			
			class Attributes
			{
				align = "center";
				size = "0.875";
			};
		};
		class KB_Description: outlw_MR_RscText
		{
			idc = 1002;
			text = "Press any key...";
			x = 11 * GUI_GRID_W + GUI_GRID_X;
			y = 11.675 * GUI_GRID_H + GUI_GRID_Y;
			w = 7 * GUI_GRID_W;
			h = 1.5 * GUI_GRID_H;
		};
		class KB_BG_Keybinding: outlw_MR_IGUIBack
		{
			idc = 2201;
			x = 19.5 * GUI_GRID_W + GUI_GRID_X;
			y = 11 * GUI_GRID_H + GUI_GRID_Y;
			w = 9.5 * GUI_GRID_W;
			h = 1.75 * GUI_GRID_H;

			colorBackground[] = {1,1,1,0.25};
		};
		class KB_Keybinding: outlw_MR_RscStructuredText
		{
			idc = 1001;
			text = "";
			x = 19.5 * GUI_GRID_W + GUI_GRID_X;
			y = 11.5 * GUI_GRID_H + GUI_GRID_Y;
			w = 9.5 * GUI_GRID_W;
			h = 1 * GUI_GRID_H;
			
			colorBackground[] = {0,0,0,0};
			
			class Attributes
			{
				align = "center";
				valign = "middle";
				size = 0.8;
			};
		};
		class KB_FG_Keybinding: outlw_MR_IGUIBack
		{
			idc = 1003;
			x = 19.5 * GUI_GRID_W + GUI_GRID_X;
			y = 11 * GUI_GRID_H + GUI_GRID_Y;
			w = 9.5 * GUI_GRID_W;
			h = 1.75 * GUI_GRID_H;
			
			colorBackground[] = {0,0,0,0};
		};
	};
};

