#define THIS_FILE "vehrespawn.sqf"
#include <tmf\tmf_constants.h>
#include <tmf\tmf_macros.h>
WAITINIT(vehrespawn);

// ex: nul = [this, 300] execVM "vehrespawn.sqf"; // respawns after 300 seconds empty
if (isServer) then {
	private ["_unit","_respawn_timer","_unit_type","_init_pos","_init_dir","_time_empty"];
	_unit = _this;
	_respawn_timer = 450;
	_time_empty = 0;
	if (typename _this == typename []) then {
		_unit = _this select 0;
		if (count _this > 1) then { _respawn_timer = _this select 1; };
	};
	_unit setVariable ["respawn_timer",_respawn_timer];
	_unit addEventHandler ["GetIn",{_vec = _this select 0; _timer = _vec getVariable "respawn_timer"; _unit = _this select 2; ["d_msg",[["STR_RESPAWN_VEC",_timer],"unit",_unit,"global"]] call XNetCallEvent;}];
	_init_pos = getPos _unit;
	_init_dir = getDir _unit;
	_unit_type = typeof _unit;
	_unit_variable_name = vehicleVarName _unit;
	while {true} do {
		if (!alive _unit) then {
			sleep 10;
			diag_log format["Respawning Destroyed Unit: %1",_unit_type];
			if (!isnull _unit) then { deleteVehicle _unit; };
			_unit = _unit_type createVehicle _init_pos;
			_unit setPos _init_pos;
			_unit setDir _init_dir;
			missionNameSpace setVariable [_unit_variable_name, _unit];
			_unit setVehicleVarName _unit_variable_name;
			_unit setVariable ["respawn_timer",_respawn_timer];
			_unit addEventHandler ["GetIn",{_vec = _this select 0; _timer = _vec getVariable "respawn_timer"; _unit = _this select 2; ["d_msg",[["STR_RESPAWN_VEC",_timer],"unit",_unit,"global"]] call XNetCallEvent;}];
		} else {
			if ((_unit distance _init_pos) > 100) then {
				if (_time_empty > 0) then {
					if (count (crew _unit) > 0) then {
						_time_empty = 0;
					} else {
						if ((time - _time_empty) > _respawn_timer) then {
							diag_log format["Respawning Empty Unit: %1 (%2)",_unit_type, time];
							if (damage _unit > 0.4) then {
								_unit setPos [0,0,0];
								_unit setDamage 1;
							} else {
								_unit setPos _init_pos;
								_unit setDir _init_dir;
							};
						};
					};
				} else {
					if (count (crew _unit) <= 0) then {
						diag_log format["Detected Empty Unit: %1 (%2)",_unit_type, time];
						_time_empty = time;
					} else {
						_time_empty = 0;
					};
				};
			};
		};
		sleep (15 + random (15));
	};
};